"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeForeignAddressSeeds = void 0;
const sdk_base_1 = require("@ultronswap-wormhole/sdk-base");
const sdk_definitions_1 = require("@ultronswap-wormhole/sdk-definitions");
const sdk_aptos_1 = require("@ultronswap-wormhole/sdk-aptos");
const foreignAddressSeedLayout = [
    { name: "tokenBridgeAddress", ...sdk_definitions_1.layoutItems.universalAddressItem },
    { name: "chain", ...sdk_definitions_1.layoutItems.chainItem() },
    {
        name: "domainSeparator",
        binary: "bytes",
        custom: sdk_base_1.encoding.bytes.encode(sdk_aptos_1.APTOS_SEPARATOR),
        omit: true,
    },
    { name: "tokenId", ...sdk_definitions_1.layoutItems.universalAddressItem },
    // from https://github.com/aptos-labs/aptos-core/blob/25696fd266498d81d346fe86e01c330705a71465/aptos-move/framework/aptos-framework/sources/account.move#L90-L95
    { name: "domainSeparator", binary: "bytes", custom: new Uint8Array([0xff]), omit: true },
];
const serializeForeignAddressSeeds = (data) => (0, sdk_base_1.serializeLayout)(foreignAddressSeedLayout, data);
exports.serializeForeignAddressSeeds = serializeForeignAddressSeeds;
//# sourceMappingURL=foreignAddress.js.map